---
schema_version: "1"
id: bc9cebe97fe0f334f95904a7b5e12ec40e69593b798410f4643ba59844cda051
title: Scan a Data Detect Policy
collection: admin
version: current
locale: en-us
portal_url: https://docs.salesforce.com/admin/current/en-us/xcloud/264-0-0/data_detect_post_scan_api.md
canonical_url: https://help.salesforce.com/s/articleView?id=xcloud.data_detect_post_scan_api.htm&release=264.0.0&type=5
source_site: help.salesforce.com
content_type: documentation
content_hash: 50cc1be6c80036f5ffdec96f8f0c4e329139f3e6458d308305f5d8396e5a6ca7
description: Posts the DataDetect policy scan for execution.
products:
  - Salesforce Platform
  - Cross Cloud
release: "264"
---
# Scan a Data Detect Policy

Posts the DataDetect policy scan for execution.

### Required Editions

<table class="slds-table slds-table_bordered slds-max-medium-table_stacked slds-m-bottom_small edition"><colgroup><col></colgroup><tbody><tr class=""><td class="slds-cell-wrap" style="vertical-align:top;">Available in: Lightning Experience</td></tr><tr class=""><td class="slds-cell-wrap" style="vertical-align:top;">Available in: <strong>Enterprise</strong>, <strong>Performance</strong>, <strong>Unlimited</strong>, and <strong>Developer</strong> editions with the Salesforce Shield or Data Detect Licenses.</td></tr></tbody></table>

## Example JSON Request Body policy.json File

```
curl  https://MyDomainName.my.salesforce.com/services/data/v66.0/datadetect/policies -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @policy.json -X POST
```

![Example](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-xcloud-setup-264-0-0-production-enus/6f21df35-9ea0-4f53-ac94-45c3b5dfd5bc/images/icon_example.png)

Example REQUEST BODY

```
JSON request body policy.json file
{
     "policyId": "1Doxx0000004C92"
}
```

![Example](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-xcloud-setup-264-0-0-production-enus/6f21df35-9ea0-4f53-ac94-45c3b5dfd5bc/images/icon_example.png)

Example RESPONSE BODY

```
[ { "jobSessionId": "1EExx0000004C92" }
```